Bug 176226 - partioning: request file system type before mount point during manual / modified
partioning: request file system type before mount point during manual / modified
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-12-20 06:21 EST by David Timms
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-22 12:03:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Timms 2005-12-20 06:21:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
In a logical sense, a user should fill in the dialogs from top down (at least for english languages ; )
During partitioning it would therefore make better sense to choose a file system type before choosing it's mount point.
This would get around feeling obliged to select a mount point, and then finding that selecting the swap type clears the previous entry. Also, it makes more sense to choose a file system type (ie the formatting of the logical volume or partition) before choose where to mount it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. During step parttype, choose to view/edit the partitions.
2. In the step partition, modify / create a swap partition.
3. edit logical volume: (depends on whether lvm or not)

Actual Results:  Info is requested in order:
mount point:
file system type:
logical volume name:
(size limit text)

Expected Results:  A more logical order is:
file system type:
(size limit text)
mount point:
logical volume name: (since this is auto generated anyway)

Additional info:

While all the info is needed, it makes sense to set first that you want swap / some file system type, then choose where you want it mounted.

{or maybe I'm just weird.}
Comment 1 Jeremy Katz 2005-12-22 12:03:32 EST
This is the way it's been for a long time now and I think changing it is likely
to cause more confusion.  We'll take this into consideration, though, when we
rework partitioning some in the future.

Note You need to log in before you can comment on or make changes to this bug.